This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488673 - yum don't work with --nogpgcheck option
yum don't work with --nogpgcheck option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 488707 488801 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 01:08 EST by dominique
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 01:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dominique 2009-03-05 01:08:26 EST
Description of problem:
I test F11 rawhide  and I also test the new kernel from koji.
When I test from koji, I download the kernel-.rpm and I install it in console with:
yum --nogpgcheck install kernel-*.rpm
In the beginning of rawhide that work fine, but with the latest kernel I test that don't work (2.6.29-0.197.rc7.fc11.x86_64 )
I have this errors message:

[root@241 kernel]# yum --nogpgcheck install kernel-*.rpm
Modules complémentaires chargés : dellsysidplugin2, refresh-packagekit
Configuration du processus d'installation                             
Examen de kernel-2.6.29-0.203.rc7.fc11.x86_64.rpm : kernel-2.6.29-0.203.rc7.fc11.x86_64                                                                   
Sélection de kernel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-2.6.29-0.159.rc6.git3.fc11.x86_64                                         
Sélection de kernel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-2.6.29-0.176.rc6.git5.fc11.x86_64                                         
Sélection de kernel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-2.6.29-0.197.rc7.fc11.x86_64                                              
Examen de kernel-devel-2.6.29-0.203.rc7.fc11.x86_64.rpm : kernel-devel-2.6.29-0.203.rc7.fc11.x86_64                                                       
Sélection de kernel-devel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-devel-2.6.29-0.159.rc6.git3.fc11.x86_64                             
Sélection de kernel-devel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-devel-2.6.29-0.176.rc6.git5.fc11.x86_64                             
Sélection de kernel-devel-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-devel-2.6.29-0.197.rc7.fc11.x86_64                                  
Examen de kernel-firmware-2.6.29-0.203.rc7.fc11.noarch.rpm : kernel-firmware-2.6.29-0.203.rc7.fc11.noarch                                                 
Sélection de kernel-firmware-2.6.29-0.203.rc7.fc11.noarch.rpm pour mise à jour de kernel-firmware-2.6.29-0.197.rc7.fc11.noarch                            
Examen de kernel-headers-2.6.29-0.203.rc7.fc11.x86_64.rpm : kernel-headers-2.6.29-0.203.rc7.fc11.x86_64                                                   
Sélection de kernel-headers-2.6.29-0.203.rc7.fc11.x86_64.rpm pour mise à jour de kernel-headers-2.6.29-0.197.rc7.fc11.x86_64                              
Résolution des dépendances                                                   
--> Lancement de la transaction de test                                      
---> Paquetage kernel.x86_64 0:2.6.29-0.203.rc7.fc11 marqué pour être installé                                                                            
---> Paquetage kernel-devel.x86_64 0:2.6.29-0.203.rc7.fc11 marqué pour être installé                                                                      
---> Paquetage kernel-firmware.noarch 0:2.6.29-0.203.rc7.fc11 marqué pour être mis à jour                                                                 
---> Paquetage kernel-headers.x86_64 0:2.6.29-0.203.rc7.fc11 marqué pour être mis à jour                                                                  
--> Résolution des dépendances terminée                                      
--> Lancement de la transaction de test                                      
---> Paquetage kernel.x86_64 0:2.6.29-0.159.rc6.git3.fc11 marqué pour être effacé                                                                         
--> Traitement de la dépendance : kernel-uname-r = 2.6.29-0.159.rc6.git3.fc11.x86_64 pour le paquetage : kmod-nvidia-2.6.29-0.159.rc6.git3.fc11.x86_64    
---> Paquetage kernel-devel.x86_64 0:2.6.29-0.159.rc6.git3.fc11 marqué pour être effacé                                                                   
--> Lancement de la transaction de test                                      
---> Paquetage kmod-nvidia-2.6.29-0.159.rc6.git3.fc11.x86_64.x86_64 0:180.35-2.fc11 marqué pour être effacé                                               
--> Résolution des dépendances terminée                                      

Dépendances résolues
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 301, in user_main
    errcode = main(args)                                      
  File "/usr/share/yum-cli/yummain.py", line 253, in main     
    return_code = base.doTransaction()                        
  File "/usr/share/yum-cli/cli.py", line 363, in doTransaction
    lsts = self.listTransaction()                             
  File "/usr/share/yum-cli/output.py", line 929, in listTransaction
    a_wid = _add_line(lines, data, a_wid, txmbr.po, txmbr.obsoletes)
  File "/usr/share/yum-cli/output.py", line 907, in _add_line       
    elif po.verifyLocalPkg():                                       
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 664, in verifyLocalPkg                                                                    
    (csum_type, csum) = self.returnIdSum()                                   
TypeError: 'NoneType' object is not iterable

I don't know if it is a bug...
Comment 1 seth vidal 2009-03-05 01:17:43 EST
It's unrelated to nogpgcheck. It was just about the localinstall.

If you update to yum in tomorrow's rawhide it is fixed.
Comment 2 dominique 2009-03-05 02:37:34 EST
Ok I see tomorrows and I said you I it is fixed...
Comment 3 seth vidal 2009-03-05 09:38:18 EST
*** Bug 488707 has been marked as a duplicate of this bug. ***
Comment 4 Michal Nowak 2009-03-05 10:20:15 EST
Don't CLOSE unless the pkg really is in Rawhide, please, otherwise folks will file useless dupe bug reports.
Comment 5 seth vidal 2009-03-05 10:25:38 EST
the pkg is in rawhide.
Comment 6 seth vidal 2009-03-05 15:23:14 EST
*** Bug 488801 has been marked as a duplicate of this bug. ***
Comment 7 dominique 2009-03-06 03:02:21 EST
Hello
I install the latest package (yum-3.2.21-12.fc11 and yum-utils-1.1.20-5.fc11 ) and now yum localinstall work fine.
Thank for this update.
chepioq

Note You need to log in before you can comment on or make changes to this bug.